Name:           libannodex
Version:        0.6.2
Release:        1%{?dist}
Summary:        Library for annotating and indexing networked media

Group:          System Environment/Libraries
License:        BSD
URL:		http://www.annodex.net/
Source:		http://www.annodex.net/software/libannodex/download/%{name}-%{version}.tar.gz
# fixed in upstream CVS
Patch:		libannodex.autotools.patch
# fixed in upstream CVS
Patch1:		libannodex.cmml.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	doxygen
BuildRequires:	libogg-devel >= 1.0
BuildRequires:	liboggz-devel >= 0.9.1
BuildRequires:	libcmml-devel >= 0.8
BuildRequires:	libsndfile-devel

# libtool
BuildRequires:	gcc-c++

# since we patch Makefile.am
BuildRequires:  libtool
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  pkgconfig

%description
libannodex is a library to provide reading and writing of Annodex
files and streams.

%package devel
Summary:	Files needed for development using libannodex
Group:          Development/Libraries
Requires:       libannodex = %{version}
Requires:       liboggz-devel >= 0.9.1
Requires:       pkgconfig

%description devel
libannodex is a library to provide reading and writing of Annodex
files and streams.

This package contains the header files and documentation needed for
development using libannodex.

%prep
%setup -q -n %{name}-%{version}
%patch -p1
%patch1 -p1

%build
aclocal -I m4
autoconf
automake
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/annodex/importers/*.la

# remove doxygen build stamp; fixed in upstream CVS
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/libannodex/doxygen-build.stamp

%clean
rm -rf $RPM_BUILD_ROOT
                                                                                
%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
# NEWS is empty in 0.6.2
# %doc NEWS
%{_libdir}/libannodex.so.*
%{_bindir}/anx*
%dir %{_libdir}/annodex/importers
%{_libdir}/annodex/importers/libanx*.so*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_libdir}/libannodex.so
%{_libdir}/libannodex.a
%{_libdir}/pkgconfig/annodex.pc
%doc %{_docdir}/libannodex
%{_includedir}/annodex/*.h
%{_libdir}/annodex/importers/libanx*.a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Mon Jun 13 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.6.2-2: add dist tag

* Fri Jun 03 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.6.2-1: initial package
